Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

Page 1 of 2
Installazione in locale
 
jeck
Jr. Member
 
Total Posts:  3
Joined:  2008-04-21
 

Salve,
Sono un nuovo utente di Magento. Ho porovato ad installare in locale il pacchetto, ma ho avuto qualche problema.
Il server web AppServ 2.5.9
Ho scaricato il file magento-downloader-1.0.zip. Una volta scompattato, ho copiato la cartella nella root principale.
Punto all’indirizzo http://localhost/magento e viene avviata la fase di download.
Terminata corretamente la fase di download, passo alla fase “License Agreement”, successivamente a quella di “Localization”.
Arrivati alla fase “Configuration” compare questo errore:

PHP Extension “pdo_mysql” must be loaded
PHP Extension “mcrypt” must be loaded
PHP Extension “curl” must be loaded

Please set all required settings before clicking Continue

A questo punto non so più andare avanti, non so dove mettere le mani!
Spero di non aver dimenticato nulla di utile. Questi sono tutti i passaggi che ho fatto.
Grazie anticipate per le vostre risposte

 
Magento Community Magento Community
Magento Community
Magento Community
 
Black Cat
Moderator
 
Avatar
Total Posts:  3481
Joined:  2008-02-14
Assemini / Cagliari (Italy)
 

devi attivare quei servizi te lo dicono le frasi stesse.
Attiva quei servizi e poi potrai continuare.
Nel caso ti linko questa miniguida
http://www.black-cat.it/blog/2008/03/26/come-caricare-e-far-funzionare-magento-in-locale-su-windows/

 
Magento Community Magento Community
Magento Community
Magento Community
 
jeck
Jr. Member
 
Total Posts:  3
Joined:  2008-04-21
 

Grazie per la risposta, ma perdona la mia ignoranza! Come attivo questi servizi?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Black Cat
Moderator
 
Avatar
Total Posts:  3481
Joined:  2008-02-14
Assemini / Cagliari (Italy)
 

eh non lo so. Io uso Wamp. cerca tra le opzioni della tua piattaforma e attiva i servizi PHP e MySQL richiesti

 
Magento Community Magento Community
Magento Community
Magento Community
 
jeck
Jr. Member
 
Total Posts:  3
Joined:  2008-04-21
 

e su wamp come si fa?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Black Cat
Moderator
 
Avatar
Total Posts:  3481
Joined:  2008-02-14
Assemini / Cagliari (Italy)
 

clicchi sull’icona nel tray, PHP e da lì controlli su impostazioni php e estensioni php

 
Magento Community Magento Community
Magento Community
Magento Community
 
kroom
Member
 
Total Posts:  44
Joined:  2008-04-08
 

jeck, senza alcunchè da eccepire circa le risposte di Blackcat, aggiungo che il metodo “smanettone” valido sempre è quello di modificare il file php.ini.
Per attivare una estensione devi rimuovere il ; (punto e virgola) dall’inizio della dichiarazione. Il punto e virgola funge da “commento” per la riga, cioè decreta che la riga NON venga interpretata dal motore php.
Supponendo tu stia usando WIndows, devi cioè “comandare” il caricamento dei rispettivi dll, rimuovendo il punto e virgola.

Es: da così

;extension=php_pdo_mysql.dll
.
.
;
extension=php_mcrypt.dll
.
.
;
extension=php_curl.dll

a così:

extension=php_pdo_mysql.dll
.
.
extension=php_mcrypt.dll
.
.
extension=php_curl.dll

Nota che NON ci sono i punti e virgola all’inizio (l’ordine delle righe può cambiare).
Fatto ciò, riavvia il tuo server locale (cioè riavvia apache o quello che è), e riprova a lanciare l’installazione di Magento.

 
Magento Community Magento Community
Magento Community
Magento Community
 
ciri
Jr. Member
 
Total Posts:  1
Joined:  2008-04-26
 

Salve,

anch’io ho lo stesso problema che non riesco a risolvere: ho decommentato le righe nel php.ini come avete spiegato ed ho riavviato il server (anch’io uso AppServ), però Magento continua a dirmi di caricare quelle estensioni.

Non so più che fare..... Avete idee?

Grazie.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Black Cat
Moderator
 
Avatar
Total Posts:  3481
Joined:  2008-02-14
Assemini / Cagliari (Italy)
 

uhm assicurarti che sia quello giusto. Altrimenti prova con altre piattaforme. E’ la soluzione più rapida. Altro purtroppo non saprei dire… :(

 
Magento Community Magento Community
Magento Community
Magento Community
 
cla74
Jr. Member
 
Total Posts:  10
Joined:  2008-04-26
 

scusate,ma dove va messo il file php.ini(intendo lato server nn in windows)

 
Magento Community Magento Community
Magento Community
Magento Community
 
Black Cat
Moderator
 
Avatar
Total Posts:  3481
Joined:  2008-02-14
Assemini / Cagliari (Italy)
 

ah lato server. Allora non saprei. Che io sappia, dovrebbe trovarsi nella cartella php5

 
Magento Community Magento Community
Magento Community
Magento Community
 
cla74
Jr. Member
 
Total Posts:  10
Joined:  2008-04-26
 
Black Cat - 27 April 2008 01:59 PM

ah lato server. Allora non saprei. Che io sappia, dovrebbe trovarsi nella cartella php5

senti il mio problema e’ questo:
PHP Extension “pdo_mysql” must be loaded
PHP Extension “mcrypt” must be loaded
l’avrai gia’ visto altre volte!!! Tu sai come risolverlo???

 
Magento Community Magento Community
Magento Community
Magento Community
 
Black Cat
Moderator
 
Avatar
Total Posts:  3481
Joined:  2008-02-14
Assemini / Cagliari (Italy)
 

si mi è capitato, ma in locale con EasyPHP. Una volta risolto questo, mi capitarono altri errori e così passai a Wamp senza incontrare nessuna difficoltà. Ad ogni modo ti dice di attivare le estensioni pdo_mysql e mcrypt. Devi attivarle, o dalla piattaforma, o dal php.ini. Prova in entrambi i modi. nel php.ini come già detto devi levare il ; ai due servizi e salvare il tutto. Il php.ini si trova nella cartella php5.
E’ tutto. Se non dovesse funzionare comunque, forse hai una versione precedente di php e MySQL o mancano le librerie. In quel caso te le scarichi e provi ad implementarle al resto. Non so se funziona ma è quello che consigliano su alcuni forum.

 
Magento Community Magento Community
Magento Community
Magento Community
 
kroom
Member
 
Total Posts:  44
Joined:  2008-04-08
 

@ cla74
io uso xampp, e il php.ini “giusto” è in:
xampp/apache/bin/php.ini

poi dipende dalle configurazioni, ma se fai una ricerca per php.ini è probabile che ne trovi più di uno.
non essendo esperto, per capire quale è quello “giusto”, cioè quale è quello che apache carica, li ho cercati tutti e modificati uno alla volta, fino a beccarlo… artigianale ma istruttivo smile

 
Magento Community Magento Community
Magento Community
Magento Community
 
vincenzo
Member
 
Avatar
Total Posts:  39
Joined:  2008-01-08
Roma
 

Aggiungo una cosa che può sembrare ovvia, oltre a togliere il commento sulle righe delle estensioni richieste, assicuratevi di avere le estensioni.

Se <path_php> è la cartella dove è installato php, verificate che siano presenti i file relativi alle estensioni nella cartella <path_php>/ext

 
Magento Community Magento Community
Magento Community
Magento Community
 
cla74
Jr. Member
 
Total Posts:  10
Joined:  2008-04-26
 
vincenzo - 28 April 2008 01:20 AM

Aggiungo una cosa che può sembrare ovvia, oltre a togliere il commento sulle righe delle estensioni richieste, assicuratevi di avere le estensioni.

Se <path_php> è la cartella dove è installato php, verificate che siano presenti i file relativi alle estensioni nella cartella <path_php>/ext

preciso che questi errori mi succedono sul server non sul pc!
nel file php.ini ho messo queste stringhe:
extension=pdo.so
extension=pdo_mysql.so
ma non cambia niente.....sempre gli stessi problemi!!!!

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top
Page 1 of 2